## org.apache.poi.hssf.dev
Class RecordLister

    java.lang.Object
      org.apache.poi.hssf.dev.RecordLister

    public class RecordLister

extends java.lang.Object

This is a low-level debugging class, which simply prints out what records come in what order. Most people will want to use `BiffViewer` or `EFBiffViewer`, but this can be handy when trying to make sense of `ContinueRecord` special cases. Output is of the form: SID - Length - Type (if known) byte0 byte1 byte2 byte3 .... byte(n-4) byte(n-3) byte(n-2) byte(n-1)

Constructor Summary
`RecordLister()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `run()`
`void` `setFile(java.lang.String file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordLister

    public RecordLister()

Method Detail

### run

    public void run()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### setFile

    public void setFile(java.lang.String file)

### main

    public static void main(java.lang.String[] args)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.